#!/bin/sh

rtc-template -bcxx \
    --module-name=HumanDetection_Fusion --module-type='DataFlowComponent' \
    --module-desc='HumanDetection_Fusion component' \
    --module-version=1.0 --module-vendor='Nemoto,Mizoguchi Lab,Tokyo University of Science' \
    --module-category=RobotModule \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10      \
    --inport=VisionPos:TimedXYZDouble     \
    --inport=VisionAgree:TimedPanTilt     \
    --inport=LRFPos:TimedXYDouble     \
    --outport=HumanPos:TimedOdometry     \
    --outport=HumanPosXY:TimedXYDouble     \
    --outport=HumanPosXYZ:TimedXYZDouble     \
    --outport=ControlAngle:TimedPanTilt     \
    --config="LRF_X_Pos:double:0.0"  \
    --config="LRF_Y_Pos:double:0.0"  \
    --config="LRF_Z_Pos:double:0.0"  \
    --config="Camera_X_Pos:double:0.0"  \
    --config="Camera_Y_Pos:double:0.0"  \
    --config="Camera_Z_Pos:double:0.0"  \
    --config="PanTilt_freedom:int:2" \
	--service=SetSonsorPosPort:SetSonsorPosInfo:SetSonsorPosInfo \
    --consumer-idl=MyDataType.idl \
    --service-idl=SetSonsorPosInfo.idl\

